Get Ip Sec Vpn Tunnel Status

Get Ip Sec Vpn Tunnel Status

Retrieves status of a given IPSec VPN Tunnel configured on an Provider Gateway.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/ipsec/tunnels/{tunnelId}/status
COPY
Path Parameters
string
externalNetworkId
Required

externalNetworkId

string
tunnelId
Required

tunnelId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns GatewayIpSecVpnTunnelStatus of type(s) application/json;version=39.1
{
    "tunnelStatus": "string",
    "ikeServiceStatus": "string",
    "ikeFailedReason": "string"
}
string
tunnelStatus
Optional

Gives the overall IPSec VPN Tunnel Status. If IKE is properly set and the tunnel is up, the tunnel status will be UP. Below are valid values.

  • UP
  • DOWN
  • DEGRADED
  • UNKNOWN
string
ikeServiceStatus
Optional

The status for the IPSec VPN IKE Session/Tunnel. Below are valid values.

  • UP
  • DOWN
  • NEGOTIATING
string
ikeFailedReason
Optional

The reason for the IKE Session establishment failure. This will only be set if ikeServiceStatus is DOWN.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/ipsec/tunnels/{tunnelId}/status